# Copyright 2025 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

%global source_date_epoch_from_changelog 0

Name: python-magic
Epoch: 100
Version: 0.4.27
Release: 1%{?dist}
BuildArch: noarch
Summary: File type identification using libmagic
License: BSD-3-Clause
URL: https://github.com/ahupp/python-magic/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-pip

%description
python-magic is a Python interface to the libmagic file type
identification library. libmagic identifies file types by checking their
headers according to a predefined list of file types. This functionality
is exposed to the command line by the Unix command file.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
pip wheel \
    --no-deps \
    --no-build-isolation \
    --wheel-dir=dist \
    .

%install
pip install \
    --no-deps \
    --ignore-installed \
    --root=%{buildroot} \
    --prefix=%{_prefix} \
    dist/*.whl
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-python-magic
Summary: File type identification using libmagic
Requires: libmagic1
Requires: python3
Provides: python3-python-magic = %{epoch}:%{version}-%{release}
Provides: python3dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(python-magic) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-python-magic
python-magic is a Python interface to the libmagic file type
identification library. libmagic identifies file types by checking their
headers according to a predefined list of file types. This functionality
is exposed to the command line by the Unix command file.

%files -n python%{python3_version_nodots}-python-magic
%license LICENSE
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-python-magic
Summary: File type identification using libmagic
Requires: libmagic1
Requires: python3
Provides: python3-python-magic = %{epoch}:%{version}-%{release}
Provides: python3dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(python-magic) = %{epoch}:%{version}-%{release}

%description -n python3-python-magic
python-magic is a Python interface to the libmagic file type
identification library. libmagic identifies file types by checking their
headers according to a predefined list of file types. This functionality
is exposed to the command line by the Unix command file.

%files -n python3-python-magic
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-magic
Summary: File type identification using libmagic
Requires: file-libs
Requires: python3
Provides: python3-magic = %{epoch}:%{version}-%{release}
Provides: python3dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(python-magic) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-python-magic = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(python-magic) = %{epoch}:%{version}-%{release}

%description -n python3-magic
python-magic is a Python interface to the libmagic file type
identification library. libmagic identifies file types by checking their
headers according to a predefined list of file types. This functionality
is exposed to the command line by the Unix command file.

%files -n python3-magic
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
